summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@lukeshu.com>2022-07-07 02:51:57 -0600
committerLuke Shumaker <lukeshu@lukeshu.com>2022-07-08 00:16:01 -0600
commit22c32850798c264b6a20539b9cd1699228368ce9 (patch)
treeeea4fe596bc584cba96245d8bfbe92503d1a4c61 /scripts
parentfa98ff69f24545e1836201c30ab43cc2527c52e3 (diff)
write btrfs-clear-bad-nodes
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run-clear-nodes.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/run-clear-nodes.sh b/scripts/run-clear-nodes.sh
new file mode 100755
index 0000000..2f390ea
--- /dev/null
+++ b/scripts/run-clear-nodes.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -e
+rm -f ../scratch/dump-clearnodes.img
+cp --reflink=always ../scratch/dump-{scratch,clearnodes}.img
+time go run ./cmd/btrfs-clear-bad-nodes ../scratch/dump-clearnodes.img